package com.platform.entities;

public class PagerOptions {
	private Integer currentPageNum; //当前页码

	private String dataType; //数据类型

	private String submittedBatch;  //数据批次
 
	private String cityName;  //城市名称

	private String districtName; //区县名

	private Integer dataVersion;  //数据版本

	private String systemName;  //系统名称

	private String dataYear; // 数据年度

	private Integer limit; //一次查询返回记录条数
	
	private Integer offset; // 查询偏移量：起始id
	
	private Integer totalLimit; //当前页前面已有多少条数据
	
	private Integer priorTableSize; //前一次操作一页显示的数据条数

	public Integer getCurrentPageNum() {
		return currentPageNum;
	}

	public void setCurrentPageNum(Integer currentPageNum) {
		this.currentPageNum = currentPageNum;
	}

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

	public String getSubmittedBatch() {
		return submittedBatch;
	}

	public void setSubmittedBatch(String submittedBatch) {
		this.submittedBatch = submittedBatch;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public String getDistrictName() {
		return districtName;
	}

	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	public Integer getDataVersion() {
		return dataVersion;
	}

	public void setDataVersion(Integer dataVersion) {
		this.dataVersion = dataVersion;
	}

	public String getSystemName() {
		return systemName;
	}

	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}

	public String getDataYear() {
		return dataYear;
	}

	public void setDataYear(String dataYear) {
		this.dataYear = dataYear;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public Integer getOffset() {
		return offset;
	}

	public void setOffset(Integer offset) {
		this.offset = offset;
	}

	public Integer getTotalLimit() {
		return totalLimit;
	}

	public void setTotalLimit(Integer totalLimit) {
		this.totalLimit = totalLimit;
	}

	public Integer getPriorTableSize() {
		return priorTableSize;
	}

	public void setPriorTableSize(Integer priorTableSize) {
		this.priorTableSize = priorTableSize;
	}	
	
}
